HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetIdentityVerificationSessionsSession

Contains the different functions to run the operation getIdentityVerificationSessionsSession

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetIdentityVerificationSessionsSession.hs
valuegetIdentityVerificationSessionsSession
  1. :: MonadHTTP m
  2. => GetIdentityVerificationSessionsSessionParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetIdentityVerificationSessionsSessionResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/identity/verification_sessions/{session}

<p>Retrieves the details of a VerificationSession that was previously created.</p>

<p>When the session status is <code>requires_input</code>, you can use this method to retrieve a valid <code>client_secret</code> or <code>url</code> to allow re-submission.</p>

Defines the object schema located at paths./v1/identity/verification_sessions/{session}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getIdentityVerificationSessionsSession.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetIdentityVerificationSessionsSessionResponseError is used.

Instances2Eq, Show